## org.apache.mahout.math.jet.stat
Class Gamma

    java.lang.Object
      org.apache.mahout.math.jet.stat.Gamma

    public final class Gamma

extends Object

Partially deprecated until unit tests are in place. Until this time, this class/interface is unsupported.

Method Summary
`static double` `beta(double alpha, double beta)` Returns the beta function of the arguments.
`static double` `gamma(double x)` Returns the Gamma function of the argument.
`static double` `incompleteBeta(double alpha, double beta, double xx)` Returns the regularized Incomplete Beta Function evaluated from zero to `xx`; formerly named `ibeta`.
`static double` `incompleteGamma(double alpha, double x)` Returns the Incomplete Gamma function; formerly named `igamma`.
`static double` `incompleteGammaComplement(double alpha, double x)` Returns the Complemented Incomplete Gamma function; formerly named `igamc`.
`static double` `logGamma(double x)` Returns the natural logarithm of the gamma function; formerly named `lgamma`.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### beta

    public static double beta(double alpha,
                              double beta)

  Returns the beta function of the arguments.

                         -     -
                        | (a) | (b)
       beta( a, b )  =  -----------.
                           -
                          | (a+b)

  Parameters:
    `alpha` -
    `beta` -
  Returns:
    The beta function for given values of alpha and beta.

### gamma

    public static double gamma(double x)

  Returns the Gamma function of the argument.

### incompleteBeta

    public static double incompleteBeta(double alpha,
                                        double beta,
                                        double xx)

  Returns the regularized Incomplete Beta Function evaluated from zero to `xx`; formerly named `ibeta`. See http://en.wikipedia.org/wiki/Incomplete_beta_function#Incomplete_beta_function

  Parameters:
    `alpha` - the alpha parameter of the beta distribution.
    `beta` - the beta parameter of the beta distribution.
    `xx` - the integration end point.

### incompleteGamma

    public static double incompleteGamma(double alpha,
                                         double x)

  Returns the Incomplete Gamma function; formerly named `igamma`.

  Parameters:
    `alpha` - the shape parameter of the gamma distribution.
    `x` - the integration end point.
  Returns:
    The value of the unnormalized incomplete gamma function.

### incompleteGammaComplement

    public static double incompleteGammaComplement(double alpha,
                                                   double x)

  Returns the Complemented Incomplete Gamma function; formerly named `igamc`.

  Parameters:
    `alpha` - the shape parameter of the gamma distribution.
    `x` - the integration start point.

### logGamma

    public static double logGamma(double x)

  Returns the natural logarithm of the gamma function; formerly named `lgamma`.

Copyright © 2008–2014 The Apache Software Foundation. All rights reserved.